<%@ Page Language="VB" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Register TagPrefix="uc" TagName="ItemSale" Src="~/Views/Item/ItemSale.ascx" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Forfait en vente</title>
</head>
<body>
<%  ' .DefaultView.RowFilter(" COURSE_ID IS NULL AND ITEM_COURSE_COUNT = 0")
    
    Dim dtitem As CoursE.coursedata.itemDataTable = Me.ViewData.Item("tableitem")
    Dim dtitem2 As New CoursE.coursedata.itemDataTable
    For intcpt As Integer = 0 To dtitem.Rows.Count - 1
        If dtitem.Item(intcpt).IsCOURSE_IDNull = True And dtitem.Item(intcpt).ITEM_COURSE_COUNT = 0 Then
            Dim dr As CoursE.coursedata.itemRow = dtitem2.NewitemRow()
            For cptcol As Integer = 0 To dtitem.Columns.Count - 1
                dr.Item(cptcol) = dtitem.Rows(intcpt).Item(cptcol)
            Next
            dtitem2.AdditemRow(dr)
        End If
        dtitem.AcceptChanges()
        ViewData.Item("tableitem") = dtitem2
    Next
    %>
    <uc:ItemSale id="ItemSale" 
        runat="server"/>

</body>
</html>
